import QtQuick 1.0

Rectangle
{
    id: changementBox

    property alias cTitle: header.labelText
    property alias cTime: header.text
    property alias cText: changementText.text
    width: 200

    radius: 3
    border.color: "black"
    color: "grey"

    TextInformation
    {
        id: header

        x: 5
        informationXOffset: 10
    }

    GraphicalLine
    {
        anchors.top: header.bottom
        id: line
    }

    Text
    {
        id: changementText

        anchors.top: line.bottom
        x: 5
        color: "blue"
    }

}
