import QtQuick 1.0

Text
{
    id: clickableText
    signal clickedText(string text)
    signal selected(int indexSelected)

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked:
        {
            if ( clickableText.ListView.view )
            {
                selected(clickableText.ListView.view.indexAt(clickableText.x,clickableText.y))
            }
            clickedText(clickableText.text)
        }
    }
    states: [
        State {
            name: "TextClicked"
            when: mouseArea.pressed

            PropertyChanges
            {
                target: clickableText
                color: "#666666"
            }
        }
    ]
}
