import QtQuick 1.0

Rectangle
{
    id: operationBox
    property string oName: "Name"
    property date oDate:  "2042-12-31"
    property string oObservation: "Observation"

    signal selected(int indexSelected)

    // anchors.fill: parent
    width: parent.width
    height: 50
    border.color: "black"
    radius: 3

    Text
    {
        id: operationNameDate
        text: Qt.formatDateTime(operationBox.oDate,"yyyy-mm-dd")
    }

    Text
    {
        id: operationNameText
        anchors.right: operationBox.right

        text: operationBox.oName
    }

    TextInformation
    {
        id: operationObservaitonText
        anchors.top:  operationNameDate.bottom

        labelText: "Observation: "
        text: operationBox.oObservation
    }

    MouseArea
    {
        anchors.fill: parent
        onClicked:
        {
            if ( operationBox.ListView.view )
            {
                selected(operationBox.ListView.view.indexAt(operationBox.x,operationBox.y))
            }
        }
    }
}
