#-------------------------------------------------
#
# Project created by QtCreator 2011-08-13T10:49:22
#
#-------------------------------------------------

QT       += core gui
TEMPLATE = lib
CONFIG += plugin

INCLUDEPATH += ../../RadioViewer/Sources/
INCLUDEPATH += ../../include/
INCLUDEPATH += ../../MedCenter/Sources/
LIBS += -L../../lib -lFileLogger

SOURCES += \
    Sources/RadioViewerModule.cpp \
	../../MedCenter/Sources/Types/Patient.cpp \
	../../MedCenter/Sources/Types/Data.cpp \
	../../MedCenter/Sources/Utils/ByteArrayUtils.cpp \
	../../MedCenter/Sources/Types/VersionData.cpp \
    ../../MedCenter/Sources/Types/User.cpp \
    ../../MedCenter/Sources/Types/PatientData.cpp \
    ../../MedCenter/Sources/Types/OperationData.cpp \
    ../../MedCenter/Sources/Types/ListData.cpp \
    ../../MedCenter/Sources/Types/FileData.cpp \
    ../../MedCenter/Sources/Types/Changement.cpp \
	../../RadioViewer/Sources/RadioViewerWidget.cpp \
    ../../RadioViewer/Sources/Radio.cpp \
    ../../RadioViewer/Sources/RadioMap.cpp \
    ../../RadioViewer/Sources/RadioScrollAreaWidget.cpp \
	../../RadioViewer/Sources/RadioWidget.cpp
HEADERS += \
    Sources/RadioViewerModule.h \
	../../MedCenter/Sources/Types/Patient.h \
	../../MedCenter/Sources/Types/Data.h \
	../../MedCenter/Sources/Utils/ByteArrayUtils.h \
	../../MedCenter/Sources/Types/VersionData.h \
    ../../MedCenter/Sources/Types/User.h \
    ../../MedCenter/Sources/Types/PatientData.h \
    ../../MedCenter/Sources/Types/OperationData.h \
    ../../MedCenter/Sources/Types/ListData.h \
    ../../MedCenter/Sources/Types/FileData.h \
    ../../MedCenter/Sources/Types/Changement.h \
	../../RadioViewer/Sources/RadioViewerWidget.h \
	../../RadioViewer/Sources/Radio.h \
    ../../RadioViewer/Sources/RadioMap.h \
    ../../RadioViewer/Sources/RadioScrollAreaWidget.h \
    ../../RadioViewer/Sources/RadioWidget.h
TARGET = $$qtLibraryTarget(RadioViewerModule)
DESTDIR = ../Module/plugins

symbian {
    MMP_RULES += EXPORTUNFROZEN
    TARGET.UID3 = 0xE69E1411
    TARGET.CAPABILITY = 
    TARGET.EPOCALLOWDLLDATA = 1
    addFiles.sources = RadioViewerModule.dll
    addFiles.path = !:/sys/bin
    DEPLOYMENT += addFiles
}

unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }
    INSTALLS += target
}
