#-------------------------------------------------
#
# Project created by QtCreator 2011-06-05T14:00:36
#
#-------------------------------------------------

QT       += core gui opengl

TARGET = 3DViewer
TEMPLATE = app

INCLUDEPATH += Sources/
INCLUDEPATH += ../include/
LIBS += -L../lib -lFileLogger

SOURCES += main.cpp\
        mainwindow.cpp \
    Sources/3DRenderer/3DParser/MC_3DParserFactory.cpp \
    Sources/3DRenderer/MC_3DRenderer.cpp \
    Sources/3DRenderer/3DParser/trian/MC_Trian3DParser.cpp \
    Sources/MC_3DWidget.cpp \
    Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera.cpp \
    Sources/3DRenderer/3DCamera/MC_3DCamera.cpp \
    Sources/3DRenderer/3DCamera/MC_3DGLUCamera.cpp \
    Sources/3DRenderer/MC_3DShape.cpp \
    Sources/3DRenderer/3DShaders/MC_3DShader.cpp \
    Sources/3DRenderer/3DCamera/MC_3DQtCamera.cpp \ 
    Sources/MC_3DShapeListWidget.cpp \
    Sources/3DRenderer/MC_3DGLShape.cpp \
    Sources/3DRenderer/MC_3DShapeModel.cpp \
    Sources/3DRenderer/MC_3DShapeModelList.cpp \
    Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera2.cpp \
    Sources/MC_3DShapeWidgetItem.cpp \
    Sources/3DRenderer/MC_3DRendererGL.cpp \
    Sources/3DRenderer/MC_3DRendererGL2.cpp \
    Sources/3DRenderer/MC_3DShapeModelGL.cpp \
    Sources/3DRenderer/MC_3DShapeModelGL2.cpp \
    Sources/3DRenderer/3DParser/MC_3DParser.cpp

HEADERS  += mainwindow.h \
    Sources/3DRenderer/3DParser/MC_3DParser.h \
    Sources/3DRenderer/3DParser/MC_3DParserFactory.h \
    Sources/3DRenderer/MC_3DRenderer.h \
    Sources/3DRenderer/3DParser/trian/MC_Trian3DParser.h \
    Sources/MC_3DWidget.h \
    Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera.h \
    Sources/3DRenderer/3DCamera/MC_3DCamera.h \
    Sources/3DRenderer/3DCamera/MC_3DGLUCamera.h \
    Sources/3DRenderer/MC_3DShape.h \
    Sources/3DRenderer/3DShaders/MC_3DShader.h \
    Sources/3DRenderer/3DCamera/MC_3DQtCamera.h \
    Sources/3DRenderer/MathUtils.h \
    Sources/MC_3DShapeListWidget.h \
    Sources/3DRenderer/MC_3DGLShape.h \
    Sources/3DRenderer/MC_3DShapeModel.h \
    Sources/3DRenderer/MC_3DShapeModelList.h \
    Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera2.h \
    Sources/MC_3DShapeWidgetItem.h \
    Sources/3DRenderer/MC_3DRendererGL2.h \
    Sources/3DRenderer/MC_3DRendererGL.h \
    Sources/3DRenderer/MC_3DRendererGL2.h \
    Sources/3DRenderer/MC_3DShapeModelGL.h \
    Sources/3DRenderer/MC_3DShapeModelGL2.h \
    Sources/3DRenderer/MC_3DRendererGL.h

FORMS    +=

RESOURCES += \
    3DViewer.qrc
