import QtQuick 1.0

Item
{
    property variant barModel: buttonsModel
    width: 1280
    height: 120
    x: 0
    y: 0

    signal buttonBarClicked(string name)

    ListView
    {
        id: buttonsBar
        width: 1000
        height: 120

        anchors.fill: parent
        orientation: ListView.Horizontal
        model: barModel
        spacing: 10
        delegate:
            ButtonPicture
            {
                title: name
                imageSource: image
                onSelected: { buttonsBar.currentIndex = indexSelected }
                onButtonClick: { buttonBarClicked(name) }
            }
    }

    Image {
        id: image1
        width: 1280
        height: 120
        z: -1
        x: 0
        y: 0
        source: "data/background_bar.png"
    }
}
