import QtQuick 1.0

Item
{
    property string labelText: "Label Text"
    property string text: ""
    property int informationXOffset: 0

    width: parent.width
    height: label.font.pixelSize + 4

    Text
    {
        id: label
        text: labelText
    }

    Text
    {
        id: information
        anchors.right: parent.right
        anchors.rightMargin: informationXOffset
        text: parent.text
        color: "blue"
    }
}
