#-------------------------------------------------
#
# Project created by QtCreator 2011-08-13T10:49:53
#
#-------------------------------------------------

QT       += core gui
TEMPLATE = lib
CONFIG += plugin

INCLUDEPATH += ../../ScanViewer/Sources/
INCLUDEPATH += ../../include/
INCLUDEPATH += ../../MedCenter/Sources/
LIBS += -L../../lib -lFileLogger

SOURCES += \
    Sources/ScanViewerModule.cpp \
	../../MedCenter/Sources/Types/Patient.cpp \
	../../MedCenter/Sources/Types/Data.cpp \
	../../MedCenter/Sources/Utils/ByteArrayUtils.cpp \
	../../MedCenter/Sources/Types/VersionData.cpp \
    ../../MedCenter/Sources/Types/User.cpp \
    ../../MedCenter/Sources/Types/PatientData.cpp \
    ../../MedCenter/Sources/Types/OperationData.cpp \
    ../../MedCenter/Sources/Types/ListData.cpp \
    ../../MedCenter/Sources/Types/FileData.cpp \
    ../../MedCenter/Sources/Types/Changement.cpp \
	../../ScanViewer/Sources/ScanViewerWidget.cpp \
    ../../ScanViewer/Sources/ScanList.cpp \
    ../../ScanViewer/Sources/ScanAnimation.cpp \
    ../../ScanViewer/Sources/Scan.cpp
    
HEADERS += \
    Sources/ScanViewerModule.h \
	../../MedCenter/Sources/Types/Patient.h \
	../../MedCenter/Sources/Types/Data.h \
	../../MedCenter/Sources/Utils/ByteArrayUtils.h \
	../../MedCenter/Sources/Types/VersionData.h \
    ../../MedCenter/Sources/Types/User.h \
    ../../MedCenter/Sources/Types/PatientData.h \
    ../../MedCenter/Sources/Types/OperationData.h \
    ../../MedCenter/Sources/Types/ListData.h \
    ../../MedCenter/Sources/Types/FileData.h \
    ../../MedCenter/Sources/Types/Changement.h \
	../../ScanViewer/Sources/ScanViewerWidget.h \
    ../../ScanViewer/Sources/ScanList.h \
    ../../ScanViewer/Sources/ScanAnimation.h \
    ../../ScanViewer/Sources/Scan.h
	
TARGET = $$qtLibraryTarget(ScanViewerModule)
DESTDIR = ../Module/plugins

symbian {
    MMP_RULES += EXPORTUNFROZEN
    TARGET.UID3 = 0xE69E1411
    TARGET.CAPABILITY = 
    TARGET.EPOCALLOWDLLDATA = 1
    addFiles.sources = ScanViewerModule.dll
    addFiles.path = !:/sys/bin
    DEPLOYMENT += addFiles
}

unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }
    INSTALLS += target
}

RESOURCES += \
    ScanViewerModule.qrc
